# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/ellipse/EllipsoidLibraryImplementation.cpp File Reference

`#include <stdlib.h>`
`#include <ctype.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "EllipsoidLibraryImplementation.h"`
`#include "Ellipsoid.h"`
`#include "DatumLibraryImplementation.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`
`#include "CCSThreadMutex.h"`
`#include "CCSThreadLock.h"`

Go to the source code of this file.

## Classes

class | MSP::CCS::EllipsoidLibraryImplementationCleaner

## Variables

const int | MAX_ELLIPSOIDS = 32
const int | ELLIPSOID_CODE_LENGTH = 3
const int | ELLIPSOID_NAME_LENGTH = 30
const int | ELLIPSOID_BUF = 90
const int | FILENAME_LENGTH = 128
const char * | WGS84_Ellipsoid_Code = "WE"
const char * | WGS72_Ellipsoid_Code = "WD"
class MSP::CCS::EllipsoidLibraryImplementationCleaner | ellipsoidLibraryImplementationCleanerInstance

## Variable Documentation

const int ELLIPSOID_BUF = 90

Definition at line 141 of file EllipsoidLibraryImplementation.cpp.

const int ELLIPSOID_CODE_LENGTH = 3

Definition at line 139 of file EllipsoidLibraryImplementation.cpp.

const int ELLIPSOID_NAME_LENGTH = 30

Definition at line 140 of file EllipsoidLibraryImplementation.cpp.

class MSP::CCS::EllipsoidLibraryImplementationCleaner ellipsoidLibraryImplementationCleanerInstance

const int FILENAME_LENGTH = 128

Definition at line 142 of file EllipsoidLibraryImplementation.cpp.

const int MAX_ELLIPSOIDS = 32

Definition at line 138 of file EllipsoidLibraryImplementation.cpp.

const char* WGS72_Ellipsoid_Code = "WD"

Definition at line 144 of file EllipsoidLibraryImplementation.cpp.

const char* WGS84_Ellipsoid_Code = "WE"

Definition at line 143 of file EllipsoidLibraryImplementation.cpp.